Package com.tietoenator.trip.jxp.grid

# Class TdbGridSysProps

java.lang.Object
com.tietoenator.trip.jxp.session.TdbSessionObject
com.tietoenator.trip.jxp.TdbMessageProvider
com.tietoenator.trip.jxp.grid.TdbGridSysProps

All Implemented Interfaces:
  `com.tietoenator.trip.jxp.internal.utils.DOMSink`

public class TdbGridSysProps extends TdbMessageProvider implements com.tietoenator.trip.jxp.internal.utils.DOMSink
Collection of system properties managed on the grid.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TdbGridSysProps(TdbSession session)`
  Constructor, creates a blank properties collection

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `get()`
  Retrieve the most recently written set of properties from the grid.
  `String`
  `getAnonymousPassword()`
  Get the password of the user that will be substituted into all anonymous requests
  `String`
  `getAnonymousUser()`
  Get the name of the user that will be substituted into all anonymous requests
  `String`
  `getAuthenticationServer()`
  Get the name of the TRIPserver that will provide authentication services for the grid.
  `boolean`
  `getUseConsoleLogging()`
  Check if the grid is enabled for logging all activity to a console
  `boolean`
  `getUseDebugMessages()`
  Check whether the grid is issuing debug messages, i.e. fully decorated error messages including stack traces.
  `Map<String,String>`
  `properties()`
  Retrieve the full set of properties.
  `void`
  `put()`
  Store the current collection properties to the grid.
  `void`
  `remove(String name)`
  Remove a named property from the collection
  `void`
  `setAnonymousPassword(String name)`
  Set the password of the user that will be substituted into all anonymous requests
  `void`
  `setAnonymousUser(String name)`
  Set the name of the user that will be substituted into all anonymous requests
  `void`
  `setAuthenticationServer(String server)`
  Set the name of the TRIPserver that will provide authentication services for the grid.
  `void`
  `setUseConsoleLogging(boolean log)`
  Establish whether the grid should log all activity to a console; this requires a valid console to be available to the grid router
  `void`
  `setUseDebugMessages(boolean messages)`
  Establish whether the grid should issue debug messages, i.e. fully decorated error messages including stack traces.
  `void`
  `unremove(String name)`
  Reverses any prior removal of a property from the collection.

  ### Methods inherited from class com.tietoenator.trip.jxp.TdbMessageProvider

  `codeList, getLastCode, getLastMessage, hasMessages, messageList, resetMessages`

  ### Methods inherited from class com.tietoenator.trip.jxp.session.TdbSessionObject

  `cancel, getSession, isCancelable, setCancelable`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TdbGridSysProps

    public TdbGridSysProps(TdbSession session) throws TdbException
    Constructor, creates a blank properties collection
    Parameters:
      `session` - Active session
    Throws:
      `TdbException`

- ## Method Details

  - ### properties

    public Map<String,String> properties()
    Retrieve the full set of properties.
    The property map retrieved is as modified to date by any `remove` or `unremove` operations. The retrieved set is a snapshot, is not live, and cannot be used to propagate changes down to the underlying collection.
    Returns:
      Property map

  - ### getAuthenticationServer

    public String getAuthenticationServer()
    Get the name of the TRIPserver that will provide authentication services for the grid.
    Returns:
      Server name

  - ### setAuthenticationServer

    public void setAuthenticationServer(String server)
    Set the name of the TRIPserver that will provide authentication services for the grid.
    Parameters:
      `server` - Server name

  - ### getAnonymousUser

    public String getAnonymousUser()
    Get the name of the user that will be substituted into all anonymous requests
    Returns:
      Anonymous user name

  - ### setAnonymousUser

    public void setAnonymousUser(String name)
    Set the name of the user that will be substituted into all anonymous requests
    Parameters:
      `name` - Anonymous user name

  - ### getAnonymousPassword

    public String getAnonymousPassword()
    Get the password of the user that will be substituted into all anonymous requests
    Returns:
      Anonymous user's password

  - ### setAnonymousPassword

    public void setAnonymousPassword(String name)
    Set the password of the user that will be substituted into all anonymous requests
    Parameters:
      `name` - Anonymous user's password

  - ### getUseConsoleLogging

    public boolean getUseConsoleLogging()
    Check if the grid is enabled for logging all activity to a console
    Returns:
      true / false

  - ### setUseConsoleLogging

    public void setUseConsoleLogging(boolean log)
    Establish whether the grid should log all activity to a console; this requires a valid console to be available to the grid router
    Parameters:
      `log` - if true, the grid router will attempt to log all activity

  - ### getUseDebugMessages

    public boolean getUseDebugMessages()
    Check whether the grid is issuing debug messages, i.e. fully decorated error messages including stack traces.
    Returns:
      true / false

  - ### setUseDebugMessages

    public void setUseDebugMessages(boolean messages)
    Establish whether the grid should issue debug messages, i.e. fully decorated error messages including stack traces.
    Parameters:
      `messages` - If true, the grid will emit all error messages in fully decorated form, including stack traces.

  - ### remove

    public void remove(String name)
    Remove a named property from the collection
    Parameters:
      `name` - The name of the property to remove

  - ### unremove

    public void unremove(String name)
    Reverses any prior removal of a property from the collection.
    Parameters:
      `name` - The name of the property to restore

  - ### get

    public void get() throws TdbException
    Retrieve the most recently written set of properties from the grid.

    This method causes network I/O.

    Throws:
      `TdbException`

  - ### put

    public void put() throws TdbException
    Store the current collection properties to the grid.

    This method causes network I/O.

    Throws:
      `TdbException`